Package oracle.jdbc

## Interface TraceKey

All Known Implementing Classes:
  `OracleTraceKey`

    public interface TraceKey

### Field Summary

Fields
`static java.util.Vector<TraceKey>` `INDEX_TO_KEY`
`static java.util.concurrent.atomic.AtomicInteger` `NEXT_INDEX`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`int` `index()` Return a unique invariant int for each object that implements this interface.
`static java.util.Iterator<TraceKey>` `iterator()`
`java.lang.String` `keyName()`
`static int` `maxIndex()`
`default java.lang.String` `namespace()`
`static int` `nextIndex()`
`default java.lang.String` `propertyName()`
`static void` `register​(TraceKey k)`
`default java.lang.String` `xmlAttributeName()`

### Field Detail

#### NEXT_INDEX

    static final java.util.concurrent.atomic.AtomicInteger NEXT_INDEX

#### INDEX_TO_KEY

    static final java.util.Vector<TraceKey> INDEX_TO_KEY

### Method Detail

#### nextIndex

    static int nextIndex()

#### maxIndex

    static int maxIndex()

#### register

    static void register​(TraceKey k)

#### iterator

    static java.util.Iterator<TraceKey> iterator()

#### index

    int index()

Return a unique invariant int for each object that implements this interface. No two objects implementing this interface can return the same value. Further the values should be compact, that is the returned value must be the least value such that at the time the object is created no other object has that value. Best practice is to set the index to the result of `nextIndex()`.

Returns:
  a unique invariant index

#### keyName

    java.lang.String keyName()

#### namespace

    default java.lang.String namespace()

#### propertyName

    default java.lang.String propertyName()

#### xmlAttributeName

    default java.lang.String xmlAttributeName()